cURL
curl --request GET \
--url https://public-api.setle.app/v1/renovations \
--header 'Authorization: Bearer <token>'import requests
url = "https://public-api.setle.app/v1/renovations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://public-api.setle.app/v1/renovations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"page": 123,
"page_size": 123,
"total_pages": 123,
"has_prev_page": true,
"has_next_page": true,
"prev_page": 123,
"next_page": 123,
"total": 123,
"data": [
{
"renovation_id": "90e6ee5b-3ae1-4c22-88d0-271e228a52ee",
"renovation_created_at": "2023-11-07T05:31:56Z",
"renovation_updated_at": "2023-11-07T05:31:56Z",
"subsidy_amount": 123,
"estimated_cost": 123,
"estimated_vat_cost": 123,
"total_estimated_cost_incl_vat": 123,
"estate_id": "90e6ee5b-3ae1-4c22-88d0-271e228a52ee",
"estate_geo_address": {
"house_number": "<string>",
"place": "<string>",
"street": "<string>",
"zip_code": "<string>"
},
"managing_user": {
"id": "90e6ee5b-3ae1-4c22-88d0-271e228a52ee",
"external_id": "<string>"
},
"renovation_name": "<string>",
"renovation_deleted_at": "2023-11-07T05:31:56Z"
}
]
}{
"statusCode": 400,
"message": [
"Name should not be empty.",
"Password must contain at least 1 uppercase character."
],
"error": "Bad Request"
}{}Renovation
Search Renovations
Returns a paginated list of renovations bound to the context of the used client.
GET
/
v1
/
renovations
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 100Available options:
created_at, updated_at Available options:
ASC, DESC Include deleted renovations
External user ID used in your system
⌘I